#!/usr/bin/gawk -f

# shift cometary data by given amount of time to synchronize them with Minton & Malhotra (2010) data

BEGIN{
  n=0;
  print 0., 1., 1.;
}
(ARGIND==1){
  n++;
  t[n] = $1;
  N[n] = $2;
}
(ARGIND> 1) && ($1 <= 200.e6){
  t2 = $1 - T0;
  N2 = $3;
  if (t2 > 0.) {
    print t2, linterp(t,N,n, t2,extra), N2;
  }
}
END{
  for (i=1; i<=n; i++) {
    if (t[i] > 200.e6) {
      print t[i], N[i], 0.0;
    }
  }
}

func linterp(x,y,n,x0,extra, i,y0) {
 
  if (x0 < x[1]) {
    extra = 1;
    i = 2;
  } else if (x0 > x[n]) {
    extra = 1;
    i = n
  } else {
    extra = 0;
    i = 2
    while (x[i] < x0) {
      i++;
    }
  }

  if (x[i]==x[i-1]) {
    y0 = y[i];
  } else {
    y0 = y[i-1] + (y[i]-y[i-1]) * (x0-x[i-1])/(x[i]-x[i-1]);
  }

#  print x0,"i = ",i,x[i-1],x[i],y[i-1],y[i],y0;	# dbg

  if (extra == 1) {
    print "# Warning: Extrapolation for x0 = ", x0 > "/dev/stderr";
  }

  return y0;
}


